# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rowl"
version = "0.1.6"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Parser for the Dolfin Ontology Language"
homepage = "https://www.dolfin.fr"
readme = false
keywords = [
    "semantic-web",
    "ontology",
    "dolfin",
    "knowledge-graph",
    "language",
]
categories = [
    "compilers",
    "parsing",
]
license = "AGPL-3.0-or-later"
repository = "https://github.com/dolfin-team/rowl"

[features]
default = []
extension-module = ["pyo3/extension-module"]
fs = ["dep:walkdir"]
python = ["pyo3"]

[lib]
name = "rowl"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[dependencies.dolfin-diagnostic]
version = "0.1.3"

[dependencies.lalrpop-util]
version = "0.23.0"

[dependencies.logos]
version = "0.16.1"

[dependencies.pyo3]
version = "0.28.1"
optional = true

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tracing]
version = "0.1"

[dependencies.walkdir]
version = "2.5.0"
optional = true

[build-dependencies.lalrpop]
version = "0.23.0"
